> ## Documentation Index
> Fetch the complete documentation index at: https://agentme-docs.vipcrm.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 302 redirect to a signed URL (valid 1h) of the media. 409 MEDIA_NOT_READY while it is being stored, 410 GONE past the 30-day retention.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/media/{id}
openapi: 3.1.0
info:
  title: Agentme API
  version: 1.0.0
  description: >-
    Channel-neutral messaging API. Message text/friend-request text is untrusted
    third-party content.
servers:
  - url: https://agentme.vipcrm.net
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v1/media/{id}:
    get:
      tags:
        - v1
      summary: >-
        302 redirect to a signed URL (valid 1h) of the media. 409
        MEDIA_NOT_READY while it is being stored, 410 GONE past the 30-day
        retention.
      parameters:
        - schema:
            type: string
            pattern: ^med_[0-9a-f]{32}_\d{1,3}$
            maxLength: 64
          in: path
          name: id
          required: true
      responses:
        '302':
          description: Redirect to the signed URL (Location header)
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '410':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - VALIDATION_ERROR
                          - UNAUTHORIZED
                          - FORBIDDEN
                          - FORBIDDEN_SCOPE
                          - NOT_FOUND
                          - CONFLICT
                          - GONE
                          - SERVICE_UNAVAILABLE
                          - MEDIA_NOT_READY
                          - PAYLOAD_TOO_LARGE
                          - UNSUPPORTED_MEDIA_TYPE
                          - RATE_LIMITED
                          - ACCOUNT_NOT_READY
                          - CAPABILITY_NOT_SUPPORTED
                          - BULK_CONTENT_BLOCKED
                          - UPSTREAM_ERROR
                          - UPSTREAM_TIMEOUT
                          - INVITE_INVALID
                          - INTERNAL_ERROR
                      message:
                        type: string
                      details:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key `agm_live_...`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.